Retrieve all Audit Log Entries
Get all Audit Log entries
User must have authorization role with PROVIDER_ADMIN or TENANT_ADMIN suffix.
Authentication
AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current
Path parameters
org
Name of the Org
Query parameters
failedOnly
Return only audit log entries that have failed status code (>= 400)
pageNumber
Page number for pagination query
pageSize
Page size for pagination query
orderBy
Ordering for pagination query
Allowed values:
Response
OK
id
Unique identifier
endpoint
API endpoint
queryParams
Query parameters from the request URL, keyed by parameter name. Each value contains all values supplied for that parameter.
method
HTTP method
body
Audited request body. JSON object bodies retain their properties directly
after sensitive fields are recursively obfuscated. Valid non-object JSON is
stored in value. Malformed JSON is represented by jsonParseFailed: true
without retaining the raw request content.
statusCode
HTTP response status code
statusMessage
HTTP response status message
clientIP
Client IP address
userID
User ID that executed the API call
user
User that executed the API call
orgName
Organization name
extraData
Extra data in JSON format
timestamp
API execution time
durationMs
API execution duration in milliseconds
apiVersion
API version
Errors
403
Forbidden Error